Bug 247289 - firefox: lots of wakeups, according to powertop
Summary: firefox: lots of wakeups, according to powertop
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-06 18:02 UTC by Need Real Name
Modified: 2018-04-11 14:38 UTC (History)
3 users (show)

Fixed In Version: firefox-2.0.0.5-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 01:31:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2007-07-06 18:02:50 UTC
Firefox wakes up quite often on my box. Web sites with flash content seem to do
this more. Not good for fixing, I know.
  34.4% (111.8)       firefox-bin : schedule_timeout (process_timeout)

Comment 1 Christopher Aillon 2007-07-07 00:06:21 UTC
I believe this is http://www.linuxpowertop.org/known.php#firefox which is
actually a bug in nspr.

Comment 2 Kai Engert (:kaie) (inactive account) 2007-07-07 00:26:36 UTC
The issue that caillons points us to is actually in the Mozilla application code
(not nspr, not nss).

The fix has been picked up for the upcoming next version of Firefox (2.0.0.5,
release date unknown).

If you would like to test earlier, you could download and run the latest nightly
1.8 branch build of Firefox (not available as rpm).


Comment 3 Christopher Aillon 2007-07-07 00:29:29 UTC
Ah, so it is.  I saw a bunch of PR_* stuff listed in the bug and incorrectly
made the assumption it was nspr.

Comment 4 Kai Engert (:kaie) (inactive account) 2007-07-07 00:30:08 UTC
(In reply to comment #2)
> The fix has been picked up for the upcoming next version of Firefox (2.0.0.5,
> release date unknown).
> 
> If you would like to test earlier, you could download and run the latest nightly
> 1.8 branch build of Firefox (not available as rpm).


Wait a minute, the patch is approved, but not yet checked in. I will land it
into upstream Mozilla today, so please wait 1-2 days before you do the above and
test. Thanks!


Comment 5 Need Real Name 2007-09-16 14:40:18 UTC
WFM I think - thanks!

Comment 6 Matěj Cepl 2007-09-17 09:34:53 UTC
I think that by any stretch of imagination this bug could be considered NEW.
Kai, should it be ASSIGNed to you or to caillon?

Comment 7 Kai Engert (:kaie) (inactive account) 2007-09-19 01:29:51 UTC
(In reply to comment #6)
> I think that by any stretch of imagination this bug could be considered NEW.

Not sure why you say it's NEW.

According to comment 5 the bug is confirmed fixed in Firefox 2.0.0.5.

I'll reassign this bug to the firefox component and mark it fixed.



Note You need to log in before you can comment on or make changes to this bug.